<!DOCTYPE html>
<html>
<head>
<title> Task 13R v0.6 Pizza 365</title>
<meta charset="UTF-8">
<meta name="viewport" content="width=device-width, initial-scale=1">

<!-- font -->
<link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Lato">
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">

<!-- Bootstrap -->
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
</head>
<body onload="onPageLoading()">

<!-- Menu -->
<div class="container-fluid bg-light">
  <div class="row">
    <div class="col-sm-12">
      <nav class="navbar fixed-top navbar-expand-lg navbar-light bg-light">
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
          <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarNav">
          <ul class="navbar-nav nav-fill w-100">
            <li class="nav-item active">
              <a class="nav-link" href="#">Home</a>
            </li>
            <li class="nav-item">
              <a class="nav-link" href="#plans">Plans</a>
            </li>
            <li class="nav-item">
              <a class="nav-link" href="#about">About</a>
            </li>
            <li class="nav-item">
              <a class="nav-link" href="#contact">Contact</a>
            </li>
          </ul>
        </div>
      </nav>
    </div>
  </div>
</div>

<!-- Content -->
<div class="container" style="padding: 120px 0 50px 0;">
  <div class="row">
    <div class="col-sm-12">
      <div class="row">
        <!-- Title row home -->
        <div class="col-sm-12">
          <h1>
            <b style="color: red">Pizza 365</b> <br>
            <b><i>New Pizza - New Way!</i></b>
          </h1> 
        </div>

        <!-- Slide row home -->
        <div class="col-sm-12">
          <div id="carouselExampleIndicators" class="carousel slide" data-ride="carousel">
            <ol class="carousel-indicators">
              <li data-target="#carouselExampleIndicators" data-slide-to="0" class="active"></li>
              <li data-target="#carouselExampleIndicators" data-slide-to="1"></li>
              <li data-target="#carouselExampleIndicators" data-slide-to="2"></li>
              <li data-target="#carouselExampleIndicators" data-slide-to="3"></li>
              <li data-target="#carouselExampleIndicators" data-slide-to="4"></li>
              <li data-target="#carouselExampleIndicators" data-slide-to="5"></li>
              <li data-target="#carouselExampleIndicators" data-slide-to="6"></li>
            </ol>
            <div class="carousel-inner">
              <div class="carousel-item active">
                <img class="d-block w-100" src="images/anh_mon_1.jpg" alt="First slide">
              </div>
              <div class="carousel-item">
                <img class="d-block w-100" src="images/anh_mon_02.jpg" alt="Second slide">
              </div>
              <div class="carousel-item">
                <img class="d-block w-100" src="images/anh_mon_3.jpg" alt="Third slide">
              </div>
              <div class="carousel-item">
                <img class="d-block w-100" src="images/anh_mon_4.jpg" alt="Third slide">
              </div>
              <div class="carousel-item">
                <img class="d-block w-100" src="images/anh_mon_5.jpg" alt="Third slide">
              </div>
              <div class="carousel-item">
                <img class="d-block w-100" src="images/anh_mon_6.jpg" alt="Third slide">
              </div>
              <div class="carousel-item">
                <img class="d-block w-100" src="images/anh_mon_7.jpg" alt="Third slide">
              </div>
            </div>
            <a class="carousel-control-prev" href="#carouselExampleIndicators" role="button" data-slide="prev">
              <span class="carousel-control-prev-icon" aria-hidden="true"></span>
              <span class="sr-only">Previous</span>
            </a>
            <a class="carousel-control-next" href="#carouselExampleIndicators" role="button" data-slide="next">
              <span class="carousel-control-next-icon" aria-hidden="true"></span>
              <span class="sr-only">Next</span>
            </a>
          </div>
        </div>

        <!-- Title what we offer -->
        <div class="col-sm-12 text-center p-4 mt-4">
          <h2><b class="p-2 border-bottom">Tại sao lại Pizza 365</b></h2>
        </div>

        <!-- Content what we offer -->
        <div class="col-sm-12">
          <div class="row">
            <div class="col-sm-3 p-4 bg-primary border">
              <h3 class="p-2">Sự đa dạng về lựa chọn</h3>
              <p class="p-2">Một trong những ưu điểm lớn của quán pizza là sự đa dạng trong các loại pizza được cung cấp. Khách hàng có thể lựa chọn pizza với nhiều loại nhân khác nhau, từ loại pizza truyền thống đơn giản như pizza Margherita, đến các loại pizza cao cấp hơn như pizza thịt nướng, hải sản, hoặc pizza chay.</p>
            </div>
            <div class="col-sm-3 p-4 bg-warning border">
              <h3 class="p-2">Thời gian chế biến nhanh</h3>
              <p class="p-2">Khách hàng thường không muốn phải chờ quá lâu để có được món ăn của mình. Với pizza, thời gian chế biến rất nhanh, chỉ mất vài phút để nướng một chiếc pizza và đưa cho khách hàng.</p>
            </div>
            <div class="col-sm-3 p-4 bg-danger text-white border">
              <h3 class="p-2">Giá cả hợp lý</h3>
              <p class="p-2">So với nhiều loại thức ăn khác, giá cả của pizza thường rất hợp lý. Điều này làm cho pizza trở thành một lựa chọn phổ biến cho các buổi tiệc hoặc bữa ăn gia đình.</p>
            </div>
            <div class="col-sm-3 p-4 bg-success text-white border">
              <h3 class="p-2">Dễ dàng đặt hàng và giao hàng tận nơi</h3>
              <p class="p-2">Khách hàng có thể dễ dàng đặt hàng pizza thông qua điện thoại, trang web hoặc ứng dụng di động và nhận được giao hàng tận nơi. Điều này giúp khách hàng tiết kiệm thời gian và công sức trong việc đi lại để tìm kiếm món ăn.</p>
            </div>
          </div>
        </div>
      </div>

      <div id="plans" class="row">
        <!-- Title what we offer -->
        <div class="col-sm-12 text-center p-4 mt-4">
          <h2><b class="p-1 border-bottom">Menu Combo Pizza 365</b></h2>
          <p><span class="p-2">Hãy chọn cỡ pizza phù hợp với bạn!</span></p>
        </div>
        <!-- Content what we offer -->
        <div class="col-sm-12">
          <div class="row">
            <div class="col-sm-4">
              <div class="card">
                <div class="card-header bg-dark text-white text-center">
                  <h3>S (small)</h3>
                </div>
                <div class="card-body text-center">
                  <ul class="list-group list-group-flush">
                    <li class="list-group-item"><b>20 cm</b> Đường kính</li>
                    <li class="list-group-item"><b>2</b> Sường nướng</li>
                    <li class="list-group-item"><b>200 g</b> Salad</li>
                    <li class="list-group-item"><b>2</b> Nước ngọt</li>
                    <li class="list-group-item"><h1><b> 150.000</b></h1> VND</li>
                  </ul>
                </div>
                <div class="card-footer text-center">
                  <button class="btn btn-success" data-is-selected-menu="N" id="btn-s" onclick="onBtnSmallSizeClick()">Chọn</button>
                </div>
              </div>
            </div>
            <div class="col-sm-4">
              <div class="card">
                <div class="card-header bg-secondary text-white text-center">
                  <h3>M (medium)</h3>
                </div>
                <div class="card-body text-center">
                  <ul class="list-group list-group-flush">
                    <li class="list-group-item"><b>25 cm</b> Đường kính</li>
                    <li class="list-group-item"><b>4</b> Sường nướng</li>
                    <li class="list-group-item"><b>300 g</b> Salad</li>
                    <li class="list-group-item"><b>3</b> Nước ngọt</li>
                    <li class="list-group-item"><h1><b> 200.000</b></h1> VND</li>
                  </ul>
                </div>
                <div class="card-footer text-center">
                  <button class="btn btn-success" data-is-selected-menu="N" id="btn-m" onclick="onBtnMediumSizeClick()">Chọn</button>
                </div>
              </div>
            </div>
            <div class="col-sm-4">
              <div class="card">
                <div class="card-header bg-dark text-white text-center">
                  <h3>L (large)</h3>
                </div>
                <div class="card-body text-center">
                  <ul class="list-group list-group-flush">
                    <li class="list-group-item"><b>30 cm</b> Đường kính</li>
                    <li class="list-group-item"><b>8</b> Sường nướng</li>
                    <li class="list-group-item"><b>500 g</b> Salad</li>
                    <li class="list-group-item"><b>4</b> Nước ngọt</li>
                    <li class="list-group-item"><h1><b> 250.000</b></h1> VND</li>
                </div>
                <div class="card-footer text-center">
                  <button class="btn btn-success" data-is-selected-menu="N" id="btn-l" onclick="onBtnLargeSizeClick()">Chọn</button>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>

      <div id="about" class="row">
        <!-- Title Who We Are -->
        <div class="col-sm-12 text-center p-4 mt-4">
          <h2><b class="p-2 border-bottom">Chọn loại Pizza</b></h2>
        </div>

        <!-- Content Who We Are -->
        <div class="col-sm-12">
          <div class="row">
            <div class="col-sm-4">
              <div class="card w-100" style="width: 18rem;">
                <img src="images/pizza_type_ga.jpg" class="card-img-top">
                <div class="card-body">
                  <h3>Pizza Gà</h3>
                  <p>Pizza gà thường có đế bánh mỏng, được phủ lên sốt cà chua và phủ đầy phô mai.</p>
                  <p><button class="btn btn-info w-100" data-is-selected-pizza="N" onclick="onBtnGaClick()" id="btn-ga">Chọn</button></p>
                </div>
              </div>
            </div>
            <div class="col-sm-4">
              <div class="card w-100" style="width: 18rem;">
                <img src="images/pizza_type_hai_san.jpg" class="card-img-top">
                <div class="card-body">
                  <h3>Pizza Hải Sản</h3>
                  <p>Đây là loại pizza được chế biến từ các loại hải sản như tôm, mực, cá, sò điệp.</p>
                  <p><button class="btn btn-info w-100" data-is-selected-pizza="N" onclick="onBtnHaiSanClick()" id="btn-hai-san">Chọn</button></p>
                </div>
              </div>
            </div>
            <div class="col-sm-4">
              <div class="card w-100" style="width: 18rem;">
                <img src="images/pizza_type_thit_nuong.jpg" class="card-img-top">
                <div class="card-body">
                  <h3>Pizza Thịt nướng</h3>
                  <p>Đây là loại pizza được chế biến từ các loại thịt như thịt bò, thịt heo hoặc thịt gà nướng.</p>
                  <p><button class="btn btn-info w-100" data-is-selected-pizza="N" onclick="onBtnThitNuongClick()" id="btn-thit-nuong">Chọn</button></p>
                </div>
              </div>
            </div>
            <div class="col-sm-12 p-2 jumbotron">
              <div class="row">
                <div class="col-sm-12">
                  <div class="form-group">
                    <div class="col-sm-12 text-center p-4 mt-4">
                      <h2><b class="p-2 border-bottom">Đồ uống</b></h2>
                    </div>
                    <select id="select-drink" class="form-control"> 
                        <option value="0">--Chọn nước uống--</option>
                    </select>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>

      <div id="contact" class="row">
        <!-- Title Contact Us -->
        <div class="col-sm-12 text-center p-4 mt-4">
          <h2><b class="p-2 border-bottom">Thông tin đơn hàng</b></h2>
        </div>

        <!-- Content Contact Us -->
        <div class="col-sm-12 p-2 jumbotron">
          <div class="row">
            <div class="col-sm-12">
              <div class="form-group">
                <label for="fullname">Họ và tên</label>
                <input type="text" class="form-control" id="inp-fullname" placeholder="Họ và tên">
              </div>
              <div class="form-group">
                <label for="email">Email</label>
                <input type="text" class="form-control" id="inp-email" placeholder="Email">
              </div>
              <div class="form-group">
                <label for="dien-thoai">Điện thoại</label>
                <input type="text" class="form-control" id="inp-dien-thoai" placeholder="Điện thoại">
              </div>
              <div class="form-group">
                <label for="dia-chi">Địa chỉ</label>
                <input type="text" class="form-control" id="inp-dia-chi" placeholder="Địa chỉ">
              </div>
              <div class="form-group">
                <label for="dia-chi">Lời nhắn</label>
                <input type="text" class="form-control" id="inp-loi-nhan" placeholder="Lời nhắn">
              </div>
              <div class="form-group">
                <label for="message">Mã giản giá</label>
                <input type="text" class="form-control" id="inp-message" placeholder="Mã giảm giá">
              </div>
              <button type="button" class="btn btn-info w-100" onclick="onBtnKiemTraDonClick()">Kiểm tra đơn</button>
            </div>
          </div>
        </div>
        <!-- vùng hiển thị thông tin đơn hàng(order) -->
        <div id="div-container-order" class="container bg-warning p-2 jumbotron" style="display: none;">
          <div id="div-order-infor" class="text-white p-3">...</div>
          <div class="p-2">
            <button type="button" class="btn btn-info w-100" onclick="onBtnGuiDonClick()">Confirm</button>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>

<!-- Footer -->
<div class="container-fluid bg-light p-5">
  <div class="row text-center">
    <div class="col-sm-12">
      <h4 class="m-2">Footer</h4>
      <a href="#" class="btn btn-dark m-3"><i class="fa fa-arrow-up"></i>To the top</a>
      <div class="m-2">
        <i class="fa fa-facebook-official w3-hover-opacity"></i>
        <i class="fa fa-instagram w3-hover-opacity"></i>
        <i class="fa fa-snapchat w3-hover-opacity"></i>
        <i class="fa fa-pinterest-p w3-hover-opacity"></i>
        <i class="fa fa-twitter w3-hover-opacity"></i>
        <i class="fa fa-linkedin w3-hover-opacity"></i>
      </div>
    </div>
  </div>
</div>
</body>
<script>
  "use strict";
  /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */

  // danh sách các mã giảm giá
  var gDiscountVouchers = [
    { voucherID: "A1", percentDiscount: 20 }, // mã giảm giá là A1, phần trăm giảm giá 20%
    { voucherID: "A2", percentDiscount: 10 },
    { voucherID: "A3", percentDiscount: 5 },
    { voucherID: "A4", percentDiscount: 30 },
    { voucherID: "A5", percentDiscount: 20 },
    { voucherID: "B1", percentDiscount: 25 },
    { voucherID: "B2", percentDiscount: 15 },
    { voucherID: "B3", percentDiscount: 5 },
    { voucherID: "B4", percentDiscount: 30 },
    { voucherID: "B5", percentDiscount: 40 },
  ];

  // các combo Pizza
  const gCOMBO_SMALL = "Small";
  const gCOMBO_MEDIUM = "Medium";
  const gCOMBO_LARGE = "Large";

  // các loại pizza
  const gPIZZA_TYPE_GA = "Ga";
  const gPIZZA_TYPE_HAI_SAN = "HaiSan";
  const gPIZZA_TYPE_THITNUONG = "ThitNuong";

  const gREQUEST_STATUS_OK = 200; // GET & PUT success
  const gREQUEST_READY_STATUS_FINISH_AND_OK = 4;

  /*** REGION 2 - Vùng gán / thực thi hàm xử lý sự kiện cho các elements */

  /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */

  function onPageLoading(){
  getApiAndloadDrinkSelect();
}
  // hàm được gọi khi bấm nút chọn kích cỡ S
  function onBtnSmallSizeClick() {
    "use strict";
    // gọi hàm đổi màu nút
    // chỉnh combo, combo được chọn là Small, đổi nút, và đánh dấu
    // data-is-selected-menu của nút Basic là Y, các nút khác là N
    changeComboButtonColor(gCOMBO_SMALL);
    //tạo một đối tượng menu, được tham số hóa
    var vSelectedMenuStructure = getComboSelected("S", 20, 2, 200, 2, 150000);
    // gọi method hiển thị thông tin
    vSelectedMenuStructure.displayInConsoleLog();
  }
  // hàm được gọi khi bấm nút chọn kích cỡ M
  function onBtnMediumSizeClick() {
    "use strict";
    // gọi hàm đổi màu nút
    // chỉnh combo, combo được chọn là Medium, đổi nút, và đánh dấu
    // data-is-selected-menu của nút Basic là Y, các nút khác là N
    changeComboButtonColor(gCOMBO_MEDIUM);
    //tạo một đối tượng menu, được tham số hóa
    var vSelectedMenuStructure = getComboSelected("M", 25, 4, 300, 3, 200000);
    // gọi method hiển thị thông tin
    vSelectedMenuStructure.displayInConsoleLog();
  }
  // hàm được gọi khi bấm nút chọn kích cỡ L
  function onBtnLargeSizeClick() {
    "use strict";
    // gọi hàm đổi màu nút
    // chỉnh combo, combo được chọn là Large, đổi nút, và đánh dấu
    // data-is-selected-menu của nút Basic là Y, các nút khác là N
    changeComboButtonColor(gCOMBO_LARGE);
    //tạo một đối tượng menu, được tham số hóa
    var vSelectedMenuStructure = getComboSelected("L", 30, 8, 500, 4, 250000);
    // gọi method hiển thị thông tin
    vSelectedMenuStructure.displayInConsoleLog();
  }
  // hàm được gọi khi bấm nút chọn loại pizza gà
  function onBtnGaClick() {
    "use strict";
    // gọi hàm đổi màu nút
    // chỉnh loại pizza, loại pizza được chọn là GÀ , đổi nút, và đánh dấu
    // data-is-selected-pizza của nút gà là Y, các nút khác là N
    changeTypeButtonColor(gPIZZA_TYPE_GA);
    // ghi loại pizza đã chọn ra console
    console.log("Loại pizza đã chọn: " + gPIZZA_TYPE_GA);
  }
  // hàm được gọi khi bấm nút chọn loại pizza Hải sản
  function onBtnHaiSanClick() {
    "use strict";
    // gọi hàm đổi màu nút
    // chỉnh loại pizza, loại pizza được chọn là Hải sản, đổi nút, và đánh dấu
    // data-is-selected-pizza của nút Hải sản là Y, các nút khác là N
    changeTypeButtonColor(gPIZZA_TYPE_HAI_SAN);
    // ghi loại pizza đã chọn ra console
    console.log("Loại pizza đã chọn: " + gPIZZA_TYPE_HAI_SAN);
  }
  // hàm được gọi khi bấm nút chọn loại pizza Hun khói
  function onBtnThitNuongClick() {
    "use strict";
    // gọi hàm đổi màu nút
    // chỉnh loại pizza, loại pizza được chọn là ThitNuong, đổi nút, và đánh dấu
    // data-is-selected-pizza của nút ThitNuong là Y, các nút khác là N
    changeTypeButtonColor(gPIZZA_TYPE_THITNUONG);
    // ghi loại pizza đã chọn ra console
    console.log("Loại pizza đã chọn: " + gPIZZA_TYPE_THITNUONG);
  }
  // Hàm được gọi khi click nút kiểm tra đơn
  function onBtnKiemTraDonClick() {
    console.log("%c Kiểm tra đơn", "color: orange;");
    // Bước 1: Đọc
    var vOrder = getOrder();
    //Bước 2: kiểm tra
    var vKetQuaKiemTra = checkValidatedForm(vOrder);
    if (vKetQuaKiemTra) {
      //Bước 3: Hiển thị
      showOrderInfo(vOrder);
    }
  }

  //Hàm được gọi khi ấn nút Gửi đơn
  function onBtnGuiDonClick() {
    var vOrder = getOrder();
    inThongTinRaConsole(vOrder);
  }
  /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/

  //hàm gọi Api để kiểm tra voucher
  function callApiCheckVoucher(paramVoucherId){
    "use strict";
    const vBASE_URL =  "http://203.171.20.210:8080/devcamp-pizza365/voucher_detail/";
    if(paramVoucherId == ""){
      paramVoucherId = 1
    }
    var vXmlHttp = new XMLHttpRequest();
    vXmlHttp.open( "GET",  vBASE_URL + paramVoucherId, false);
    vXmlHttp.send();
    if(vXmlHttp.status == gREQUEST_STATUS_OK) { // restFullAPI successful
        // nhận lại response dạng JSON ở vXmlHttp.responseText và chuyển thành object
        var vResponse = JSON.parse(vXmlHttp.responseText);
        return vResponse;
    } 
    
    
  }

  //hàm gọi Api đổ dữ liệu vào select drink
  function getApiAndloadDrinkSelect() {
        var vBASE_URL ="http://203.171.20.210:8080/devcamp-pizza365/drinks";
        var vXhttp = new XMLHttpRequest();
        vXhttp.open("GET", vBASE_URL, true);
        vXhttp.send();

        vXhttp.onreadystatechange = function () {
            if (this.readyState == gREQUEST_READY_STATUS_FINISH_AND_OK && this.status == gREQUEST_STATUS_OK) {
              loadDataToDrinkSelect(vXhttp);
            }
        };
    }
    
  //hàm đẩy dữ liệu vào select drink
  function loadDataToDrinkSelect(paramXmlHttp){
      var vDrinkObj = JSON.parse(paramXmlHttp.responseText);
      var vDrinkSelect = document.getElementById("select-drink");

      for(var vIndex = 0; vIndex < vDrinkObj.length; vIndex++){
        var vDrinkOption = document.createElement("option");
        vDrinkOption.value = vDrinkObj[vIndex].maNuocUong;
        vDrinkOption.text = vDrinkObj[vIndex].tenNuocUong;

        vDrinkSelect.appendChild(vDrinkOption);
      };
    }
    
  //function get combo (lấy menu được chọn)
  //function trả lại một đối tượng combo (menu được chọn) được tham số hóa
  function getComboSelected(
    paramMenuName,
    paramDuongKinhCM,
    paramSuongNuong,
    paramSaladGr,
    paramDrink,
    paramPriceVND
  ) {
    var vSelectedMenu = {
      menuName: paramMenuName, // S, M, L
      duongKinhCM: paramDuongKinhCM,
      suongNuong: paramSuongNuong,
      saladGr: paramSaladGr,
      drink: paramDrink,
      priceVND: paramPriceVND,
      displayInConsoleLog() {
        console.log("%cPLAN MENU COMBO - .........", "color:blue");
        console.log(this.menuName); //this = "đối tượng này"
        console.log("duongKinhCM: " + this.duongKinhCM);
        console.log("suongNuong: " + this.suongNuong);
        console.log("saladGr: " + this.saladGr);
        console.log("drink:" + this.drink);
        console.log("priceVND: " + this.priceVND);
      },
    };
    return vSelectedMenu;
  }

  // hàm thu thập(đọc) thông tin khách hàng
  function getOrder() {
    var vBtnBasic = document.getElementById("btn-s"); // truy vấn nút chọn kích cỡ small
    var vMenuBasicDaChon = vBtnBasic.getAttribute("data-is-selected-menu");
    var vBtnMedium = document.getElementById("btn-m"); //truy vấn nút chọn kích cỡ medium
    var vMenuMediumDaChon = vBtnMedium.getAttribute("data-is-selected-menu");
    var vBtnLarge = document.getElementById("btn-l"); //truy vấn nút chọn kích cỡ large
    var vMenuLargeDaChon = vBtnLarge.getAttribute("data-is-selected-menu");
    var vSelectedMenuStructure = getComboSelected("", 0, 0, 0, 0, 0);
    if (vMenuBasicDaChon === "Y") {
      vSelectedMenuStructure = getComboSelected("S", 20, 2, 200, 2, 150000);
    }
    else if (vMenuMediumDaChon === "Y") {
      vSelectedMenuStructure = getComboSelected("M", 25, 4, 300, 3, 200000);
    }
    else if (vMenuLargeDaChon === "Y") {
      vSelectedMenuStructure = getComboSelected("L", 30, 8, 500, 4, 250000);
    }
    var vBtnGa = document.getElementById("btn-ga"); // truy vấn nút chọn loại pizza gà
    var vPizzaGaDaChon = vBtnGa.getAttribute("data-is-selected-pizza");
    var vBtnHaiSan = document.getElementById("btn-hai-san"); //truy vấn nút chọn loại pizza hải sản
    var vPizzaHaiSanDaChon = vBtnHaiSan.getAttribute("data-is-selected-pizza");
    var vBtnThitNuong = document.getElementById("btn-thit-nuong"); //truy vấn nút chọn loại pizza ThitNuong
    var vPizzaThitNuongDaChon = vBtnThitNuong.getAttribute("data-is-selected-pizza");
    var vLoaiPizza = "";
    if (vPizzaGaDaChon === "Y") {
      vLoaiPizza = gPIZZA_TYPE_GA;
    }
    else if (vPizzaHaiSanDaChon === "Y") {
      vLoaiPizza = gPIZZA_TYPE_HAI_SAN;
    }
    else if (vPizzaThitNuongDaChon === "Y") {
      vLoaiPizza = gPIZZA_TYPE_THITNUONG;
    }
    var vElementInputName = document.getElementById("inp-fullname");
    var vValueInputName = vElementInputName.value;

    var vElementInputEmail = document.getElementById("inp-email");
    var vValueInputEmail = vElementInputEmail.value;

    var vElementInputPhone = document.getElementById("inp-dien-thoai");
    var vValueInputPhone = vElementInputPhone.value;

    var vElementInputAddress = document.getElementById("inp-dia-chi");
    var vValueInputAddress = vElementInputAddress.value;

    var vElementInputMessage = document.getElementById("inp-loi-nhan");
    var vValueInputMessage = vElementInputMessage.value;

    var vElementInputVoucherID = document.getElementById("inp-message");
    var vValueInputVoucherID = vElementInputVoucherID.value;

    var vElementSelectDrink = document.getElementById("select-drink");
    var vValueSelectDrink = vElementSelectDrink.value;

    // khái báo biến để chứa phần trăm giảm giá
    var vPercent = 0;
    // goi ham tinh phan tram
    var vVoucherObj = callApiCheckVoucher(vValueInputVoucherID);
    if (vValueInputVoucherID != ""  && vVoucherObj != null) {
      vPercent = vVoucherObj.phanTramGiamGia;
    }else if (vValueInputVoucherID != ""  && vVoucherObj == null){
      alert("voucher không tồn tại ")
    }

    

    var vOrderInfo = {
      menuCombo: vSelectedMenuStructure,
      loaiPizza: vLoaiPizza,
      hoVaTen: vValueInputName,
      email: vValueInputEmail,
      dienThoai: vValueInputPhone,
      diaChi: vValueInputAddress,
      loiNhan: vValueInputMessage,
      voucher: vValueInputVoucherID,
      phanTramGiamGia: vPercent,
      nuocUong: vValueSelectDrink,
       priceAnnualVND: function () {
        var vTotal = this.menuCombo.priceVND * (1 - this.phanTramGiamGia / 100);
        return vTotal;
      }
    };
    return vOrderInfo;
  }

  // ham kiem tra thong tin dat hang
  // input: doi tuong khach hang
  // output: dung/ sai (true/ false)
  function checkValidatedForm(paramOrder) { 
    if (paramOrder.menuCombo.menuName === "") {
      alert("Chọn combo pizza...");
      return false;
    }
    if (paramOrder.loaiPizza === "") {
      alert("Chọn loại pizza...");
      return false;
    }
    if(paramOrder.nuocUong == "0"){
      alert("Chon nước uống");
      return false;
    }
    if (paramOrder.hoVaTen === "") {
      alert("Nhập họ và tên");
      return false;
    }
    if (isEmail(paramOrder.email) == false) {
      return false;
    }

    if (paramOrder.dienThoai === "") {
      alert("Nhập vào số điện thoại...");
      return false;
    }
    if (paramOrder.diaChi === "") {
      alert("Địa chỉ không để trống...");
      return false;
    }
    return true;
  }
  // hàm đổi mầu nút khi chọn combo
  function changeComboButtonColor(paramPlan) {
    var vBtnBasic = document.getElementById("btn-s"); // truy vấn nút chọn kích cỡ small
    var vBtnMedium = document.getElementById("btn-m"); //truy vấn nút chọn kích cỡ medium
    var vBtnLarge = document.getElementById("btn-l"); //truy vấn nút chọn kích cỡ large

    if (paramPlan === gCOMBO_SMALL) {
      //nếu chọn menu Small thì thay màu nút chọn kích cỡ small bằng màu cam (btn-warning), hai nút kia xanh (btn-success)
      // đổi giá trị data-is-selected-menu
      vBtnBasic.className = "btn btn-warning";
      vBtnBasic.setAttribute("data-is-selected-menu", "Y");
      vBtnMedium.className = "btn btn-success";
      vBtnMedium.setAttribute("data-is-selected-menu", "N");
      vBtnLarge.className = "btn btn-success";
      vBtnLarge.setAttribute("data-is-selected-menu", "N");

    } else if (paramPlan === gCOMBO_MEDIUM) {
      //nếu chọn menu Medium thì thay màu nút chọn kích cỡ Medium bằng màu cam (btn-warning), hai nút kia xanh (btn-success)
      // đổi giá trị data-is-selected-menu
      vBtnBasic.className = "btn btn-success";
      vBtnBasic.setAttribute("data-is-selected-menu", "N");
      vBtnMedium.className = "btn btn-warning";
      vBtnMedium.setAttribute("data-is-selected-menu", "Y");
      vBtnLarge.className = "btn btn-success";
      vBtnLarge.setAttribute("data-is-selected-menu", "N");
    } else if (paramPlan === gCOMBO_LARGE) {
      //nếu chọn menu Large thì thay màu nút chọn kích cỡ Large bằng màu cam (btn-warning), hai nút kia xanh (btn-success)
      // đổi giá trị data-is-selected-menu
      vBtnBasic.className = "btn btn-success";
      vBtnBasic.setAttribute("data-is-selected-menu", "N");
      vBtnMedium.className = "btn btn-success";
      vBtnMedium.setAttribute("data-is-selected-menu", "N");
      vBtnLarge.className = "btn btn-warning";
      vBtnLarge.setAttribute("data-is-selected-menu", "Y");
    }
  }

  // hàm đổi mầu nút khi chọn loại pizza
  function changeTypeButtonColor(paramType) {
    var vBtnGa = document.getElementById("btn-ga"); // truy vấn nút chọn loại pizza gà
    var vBtnHaiSan = document.getElementById("btn-hai-san"); //truy vấn nút chọn loại pizza hải sản
    var vBtnThitNuong = document.getElementById("btn-thit-nuong"); //truy vấn nút chọn loại pizza ThitNuong

    if (paramType === gPIZZA_TYPE_GA) {
      //nếu chọn loại pizza Gà thì thay màu nút chọn loại pizza gà bằng màu cam (btn-warning), hai nút kia xanh (btn-success)
      // đổi giá trị data-is-selected-pizza
      vBtnGa.className = "btn btn-warning w-100";
      vBtnGa.setAttribute("data-is-selected-pizza", "Y");
      vBtnHaiSan.className = "btn btn-success w-100";
      vBtnHaiSan.setAttribute("data-is-selected-pizza", "N");
      vBtnThitNuong.className = "btn btn-success w-100";
      vBtnThitNuong.setAttribute("data-is-selected-pizza", "N");
    } else if (paramType === gPIZZA_TYPE_HAI_SAN) {
      //nếu chọn loại pizza Hải sản thì thay màu nút chọn loại pizza Hải sản bằng màu cam (btn-warning), hai nút kia xanh (btn-success)
      // đổi giá trị data-is-selected-pizza
      vBtnGa.className = "btn btn-success w-100";
      vBtnGa.setAttribute("data-is-selected-pizza", "N");
      vBtnHaiSan.className = "btn btn-warning w-100";
      vBtnHaiSan.setAttribute("data-is-selected-pizza", "Y");
      vBtnThitNuong.className = "btn btn-success w-100";
      vBtnThitNuong.setAttribute("data-is-selected-pizza", "N");
    } else if (paramType === gPIZZA_TYPE_THITNUONG) {
      //nếu chọn loại pizza ThitNuong thì thay màu nút chọn loại pizza ThitNuong bằng màu cam (btn-warning), hai nút kia xanh (btn-success)
      // đổi giá trị data-is-selected-pizza
      vBtnGa.className = "btn btn-success w-100";
      vBtnGa.setAttribute("data-is-selected-pizza", "N");
      vBtnHaiSan.className = "btn btn-success w-100";
      vBtnHaiSan.setAttribute("data-is-selected-pizza", "N");
      vBtnThitNuong.className = "btn btn-warning w-100";
      vBtnThitNuong.setAttribute("data-is-selected-pizza", "Y");
    }
  }

  // Hàm tìm kiếm voucher trong Array
  function getVoucherById(paramVoucher){
    var vIndex = 0;
    var vTimThayVoucher = false;
    var vVoucherObj = null
    while(vTimThayVoucher == false && vIndex < gDiscountVouchers.length){
      if(gDiscountVouchers[vIndex].voucherID == paramVoucher){
        vTimThayVoucher = true;
        vVoucherObj = gDiscountVouchers[vIndex];
      }
      else{
        vIndex++;
      }
    }
    return vVoucherObj;
  }
  //hàm kiểm tra email
  function isEmail(paramEmail) {
    if (paramEmail < 3) {
      alert("Nhập email...");
      return false;
    }
    if (paramEmail.indexOf("@") === -1) {
      alert("Email phải có ký tự @");
      return false;
    }
    if (paramEmail.startsWith("@") === true) {
      alert("Email không bắt đầu bằng @");
      return false;
    }
    if (paramEmail.endsWith("@") === true) {
      alert("Email kết thúc bằng @");
      return false;
    }
    return true;
  }
  /// hàm show thông tin đặt hàng
  function showOrderInfo(paramOrder) {
    var vDivContainer = document.getElementById("div-container-order");
    var vDivOrderInfo = document.getElementById("div-order-infor");
    vDivContainer.style.display = "block";
    vDivOrderInfo.innerHTML = "Họ và tên: " + paramOrder.hoVaTen + "<br>";
    vDivOrderInfo.innerHTML += "Email: " + paramOrder.email + "<br>";
    vDivOrderInfo.innerHTML += "Địa chỉ: " + paramOrder.diaChi + "<br>";
    vDivOrderInfo.innerHTML += "Lời nhắn: " + paramOrder.loiNhan + "<br>";
    vDivOrderInfo.innerHTML += "....................................." + "<br>";
    vDivOrderInfo.innerHTML += "Kích cỡ: " + paramOrder.menuCombo.menuName + "<br>";
    vDivOrderInfo.innerHTML += "Đường kính: " + paramOrder.menuCombo.duongKinhCM + "<br>";
    vDivOrderInfo.innerHTML += "Sườn nướng: " + paramOrder.menuCombo.suongNuong + "<br>";
    vDivOrderInfo.innerHTML += "Salad : " + paramOrder.menuCombo.saladGr + "<br>";
    vDivOrderInfo.innerHTML += "Nước Ngọt : " + paramOrder.menuCombo.drink + "<br>";
    vDivOrderInfo.innerHTML += "Loại nước uống: " + paramOrder.nuocUong + "<br>";
    vDivOrderInfo.innerHTML += "....................................." + "<br>";
    vDivOrderInfo.innerHTML += "Loại pizza : " + paramOrder.loaiPizza + "<br>";
    vDivOrderInfo.innerHTML += "Mã voucher : " + paramOrder.voucher + "<br>";
    vDivOrderInfo.innerHTML += "Giá vnd : " + paramOrder.menuCombo.priceVND + "<br>";
    vDivOrderInfo.innerHTML += "Discount %: " + paramOrder.phanTramGiamGia + "<br>";
    vDivOrderInfo.innerHTML += "Phải thanh toán vnd: " + paramOrder.priceAnnualVND();
  }

  // Hàm ghi thông tin đặt hàng ra console
  function inThongTinRaConsole(paramOrder) { 
    console.log("%c Thông tin đặt hàng", "color: green;");
    console.log("Họ và tên: " + paramOrder.hoVaTen);
    console.log("Email: " + paramOrder.email);
    console.log("Địa chỉ: " + paramOrder.diaChi);
    console.log("Lời nhắn: " + paramOrder.loiNhan);
    console.log(".....................................");
    console.log("Kích cỡ: " + paramOrder.menuCombo.menuName);
    console.log("Đường kính: " + paramOrder.menuCombo.duongKinhCM);
    console.log("Sườn nướng: " + paramOrder.menuCombo.suongNuong);
    console.log("Salad : " + paramOrder.menuCombo.saladGr);
    console.log("Nước Ngọt : " + paramOrder.menuCombo.drink);
    console.log("Nước uống: " + paramOrder.nuocUong);
    console.log(".....................................");
    console.log("Loại pizza : " + paramOrder.loaiPizza);
    console.log("Mã voucher : " + paramOrder.voucher);
    console.log("Giá vnd : " + paramOrder.menuCombo.priceVND);
    console.log("Discount %: " + paramOrder.phanTramGiamGia);
    console.log("Phải thanh toán vnd: " + paramOrder.priceAnnualVND());
    
  }
</script>
</html>
